import java.sql.*;
import java.util.*;

public class QueryParens {

	public static void main(String args[]) throws Exception {
		Class.forName("org.postgresql.Driver");
		Connection conn = DriverManager.getConnection("jdbc:postgresql://localhost:5432/jurka?loglevel=2","jurka","");

		Statement stmt = conn.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT date, enddate, status, threshdesc, pollgrpid, pollid, REPLACE(polldata,'dhct:','') AS pollname FROM outagelog JOIN threshold USING(thresholdid, pollid) JOIN poll USING (pollid) WHERE (status != 3) AND (lower(threshdesc) !~ 'dropped') AND pollid IN (SELECT pollid FROM poll WHERE (rrdtypeid = 73) AND (split_part(polldata,':',2)='IR')) AND (dsnum=2)) AND ((enddate > 1205640000) OR (enddate IS NULL)) AND (date < 1205726400) ORDER BY date, status DESC");
		rs.close();
		stmt.close();

		conn.close();
	}
}

